%global momorel 2

Name:		ql2400-firmware
Summary: 	Firmware for qlogic 2400 devices
Version:	4.04.05
Release:	%{momorel}m%{?dist}
License:	"Redistributable, no modification permitted"
Group:		System Environment/Kernel
#Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/old/ql2400_fw.bin.%{version}
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2400_fw.bin
NoSource:       0
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for qlogic 2400 devices.

%prep
%setup -n %{name} -c -T
#cp %{SOURCE0} ./$(basename %{SOURCE0} | sed -e 's/\.%{version}//')
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
# Firmware, do nothing.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2400_fw.bin $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2400_fw.bin

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.04.05-2m)
- rebuild against rpm-4.6

* Tue Nov 11 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (4.04.05-1m)
- updated to 4.04.05

* Sun Nov  9 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (4.04.00-1m)
- correct version number

* Mon May  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (4.00.27-1m)
- import from Fedora

* Wed Oct 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 4.00.27-1
- Initial package for Fedora
